### Constructor

# FwupdPlugin HidDescriptor new

since: 1.9.4

#### Declaration [src]

    FuFirmware*
    fu_hid_descriptor_new (
      void
    )

#### Description [src]

Creates a new `FuFirmware` to parse a HID descriptor.

Available since: 1.9.4

#### Return value

Type: `FuFirmware`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.